
QGIS Application - Bug report #1287

make "Cache" the default render mode

2008-09-05 12:23 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11347

Description

The default render mode is always "Rectangle". Users are puzzled why nothing's present on the screen when they add a map. Defaulting

to "Cache" would be an improvement.

History

#1 - 2008-09-05 02:32 AM - Marco Hugentobler

On the other hand it is not nice if a user has a lot of data in the map and only wants to set the place where the map will appear on the paper sheet. With

"Cache" as default, he would have no option besides to wait until all the data has been drawn.

Would it be an option to have a text 'map is going to be printed here' or similar that appears on the map item in rectangle mode such that user knows

everything is ok?

Marco

#2 - 2008-09-05 05:47 AM - Horst Düster

Replying to [comment:1 mhugent]:

On the other hand it is not nice if a user has a lot of data in the map and only wants to set the place where the map will appear on the paper sheet.

With "Cache" as default, he would have no option besides to wait until all the data has been drawn.

Would it be an option to have a text 'map is going to be printed here' or similar that appears on the map item in rectangle mode such that user knows

everything is ok?

Marco

Yes, I believe your mentioned option is a good idea!

#3 - 2008-09-07 05:44 AM - Marco Hugentobler

After commit:51545968 (SVN r9281) , composer map shows a placeholder message. Not sure though if the font size looks good on all systems.

#4 - 2008-09-07 05:44 AM - Marco Hugentobler

- Resolution set to fixed
- Status changed from Open to Closed

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
